# Validation of 3D city models encoded in CityGML

## Terms and definitions
as defined in [CityGML Quality Interoperability Experiment, chapter 3](http://mail.opengeospatial.org/lists/lt.php?id=fR4CDVYeAlJfHwhTCwA)

**Validation**
> Process of validating a CityGML data set against a specified set of requirements. A valid data set is conformant to these requirements.


**Requirements**
> Rules and restrictions to define data structure and content unambiguously. Requirements can be derived from the CityGML Standard document or be defined separately as refinement of the CityGML standard to avoid ambiguities of the standard and/or specify further requirements (user/application dependent).


**Check**
> Algorithmic implementation to check if a requirement is met in a validation software. 

**Error**
> Result of a check in case of non-conformance.


**Validation plan**
> Structured list of requirements, usually depending on use case.


### Additional defintions
**XSD valid**
> A CityGML is conform to the schema or XSD valid if it validates against the CityGML XML schema.




